local oo    = require "loop.simple"
local json = require "json"
local serializerBase =  require "LuaOrm.Serializers.Base"

--local _JsonEncoder = oo.class({}, serializerBase)
module("LuaOrm.Serializers.Lua")

oo.class(_M, serializerBase)

function newArray(self)
    return {}
end

function newHash(self)
    return {}
end

function AppendNode(self, encodedData, newData, key)
	encodedData[key] = newData
    return encodedData
end

function Decode(self, data)
    return data
end

function Encode(self, data)
    return data
end
